GEOS: geos::geom::util::GeometryCombiner Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::geom::util::GeometryCombiner Class Reference

`#include <GeometryCombiner.h>`

## Public Member Functions
| GeometryCombiner (std::vector< Geometry * > const &geoms)
Geometry * | combine ()

## Static Public Member Functions
static Geometry * | combine (std::vector< Geometry * > const &geoms)
static Geometry * | combine (const Geometry *g0, const Geometry *g1)
static Geometry * | combine (const Geometry *g0, const Geometry *g1, const Geometry *g2)
static GeometryFactory const * | extractFactory (std::vector< Geometry * > const &geoms)

## Detailed Description

Combines Geometrys to produce a GeometryCollection of the most appropriate type. Input geometries which are already collections will have their elements extracted first. No validation of the result geometry is performed. (The only case where invalidity is possible is where Polygonal geometries are combined and result in a self-intersection).

See Also
  GeometryFactory::buildGeometry

## Constructor & Destructor Documentation

geos::geom::util::GeometryCombiner::GeometryCombiner | ( | std::vector< Geometry * > const & | geoms | ) |

Creates a new combiner for a collection of geometries

Parameters

  geoms | the geometries to combine

## Member Function Documentation

static Geometry* geos::geom::util::GeometryCombiner::combine | ( | std::vector< Geometry * > const & | geoms | ) |
| static

Combines a collection of geometries.

Parameters

  geoms | the geometries to combine (ownership left to caller)

Returns
  the combined geometry

static Geometry* geos::geom::util::GeometryCombiner::combine | ( | const Geometry * | g0,
|  | const Geometry * | g1
| ) |  |
| static

Combines two geometries.

Parameters

  g0 | a geometry to combine (ownership left to caller)
  g1 | a geometry to combine (ownership left to caller)

Returns
  the combined geometry

static Geometry* geos::geom::util::GeometryCombiner::combine | ( | const Geometry * | g0,
|  | const Geometry * | g1,
|  | const Geometry * | g2
| ) |  |
| static

Combines three geometries.

Parameters

  g0 | a geometry to combine (ownership left to caller)
  g1 | a geometry to combine (ownership left to caller)
  g2 | a geometry to combine (ownership left to caller)

Returns
  the combined geometry

Geometry* geos::geom::util::GeometryCombiner::combine | ( |  | ) |

Computes the combination of the input geometries to produce the most appropriate Geometry or GeometryCollection

Returns
  a Geometry which is the combination of the inputs

static GeometryFactory const* geos::geom::util::GeometryCombiner::extractFactory | ( | std::vector< Geometry * > const & | geoms | ) |
| static

Extracts the GeometryFactory used by the geometries in a collection

Parameters

  geoms |

Returns
  a GeometryFactory

The documentation for this class was generated from the following file:

- GeometryCombiner.h